#

API Docs for: 1.0
Show: Inherited Protected Private Deprecated

# CanvasRenderer Class

Defined in: `pixi/renderers/CanvasRenderer.js:5`
Module: PIXI

the CanvasRenderer draws the stage and all its content onto a 2d canvas. This renderer should be used for browsers that do not support webGL. Dont forget to add the view to your DOM or you will not see anything :)

- Index
- Methods
- Properties

## Item Index

### Methods

- render

### Properties

- context
- height
- view
- width

## Methods

### `render`

(

- `stage`

)

Defined in `pixi/renderers/CanvasRenderer.js:57`

Renders the stage to its canvas view

#### Parameters:

- `stage` Stage

  the Stage element to be rendered

## Properties

### `context`

Canvas 2d Context

Defined in `pixi/renderers/CanvasRenderer.js:46`

The canvas context that the everything is drawn to

### `height`

Number

Defined in `pixi/renderers/CanvasRenderer.js:22`

The height of the canvas view

Default: 600

### `view`

Canvas

Defined in `pixi/renderers/CanvasRenderer.js:32`

The canvas element that the everything is drawn to

### `width`

Number

Defined in `pixi/renderers/CanvasRenderer.js:15`

The width of the canvas view

Default: 800